Useful or not, from you.
react-native-firebase Exception calling signInWithPhoneNumber

phone-auth-source-file.txt

Issue

Exception calling signInWithPhoneNumber (see attached file). This was working until recently and now causes a crash in our Android app.

Exception java.lang.IllegalArgumentException: Cannot create PhoneAuthCredential without either verificationProof, sessionInfo, ortemprary proof. com.google.android.gms.common.internal.zzbq.checkArgument () com.google.firebase.auth.PhoneAuthCredential.<init> () com.google.firebase.auth.PhoneAuthProvider.getCredential () io.invertase.firebase.auth.RNFirebaseAuth._confirmVerificationCode (RNFirebaseAuth.java:708) java.lang.reflect.Method.invoke (Method.java) com.facebook.react.bridge.JavaMethodWrapper.invoke (JavaMethodWrapper.java:363) com.facebook.react.bridge.JavaModuleWrapper.invoke (JavaModuleWrapper.java:162) com.facebook.react.bridge.queue.NativeRunnable.run (NativeRunnable.java) android.os.Handler.handleCallback (Handler.java:739) android.os.Handler.dispatchMessage (Handler.java:95) com.facebook.react.bridge.queue.MessageQueueThreadHandler.dispatchMessage (MessageQueueThreadHandler.java:31) android.os.Looper.loop (Looper.java:158)

Environment

  1. Application Target Platform: Only happens on Android (iOS works)

<!--- (e.g. macOS Sierra, Windows 10) ---> 2. Development Operating System: macOS High Sierra 10.13.2

<!--- (Xcode or Android Studio version, iOS or Android SDK version - if relevant) ---> 3. Build Tools: Android Studio 3.0.1

<!--- (e.g. 0.45.1) ---> 4. React Native version: 0.48.4

<!--- (e.g. 2.1.3) ---> 5. RNFirebase Version: 3.1.1

<!--- (e.g. database, auth, messaging, analytics etc - or N/A if not applicable) ---> 6. Firebase Module:

<!-- Love react-native-firebase? Please consider supporting our collective: 👉 https://opencollective.com/react-native-firebase/donate -->

That's a useful answer
Without any help

Experiencing this issue on the .confirm call (android only). .signInWithPhoneNumber works fine. react-native: 0.59.3, react-native-firebase: 5.3.1